using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PaintDotNet.Effects;

namespace MyNamespace
{
    public partial class MyConfigDialog : EffectConfigDialog
    {
        public MyConfigDialog()
        {
            InitializeComponent();
        }

        protected override void InitialInitToken()
        {
            theEffectToken = new MyConfigToken();
        }

        protected override void InitTokenFromDialog()
        {
            MyConfigToken t = (MyConfigToken)EffectToken;
            t.InvertColor = checkBoxInvert.Checked;
        }

        protected override void InitDialogFromToken(EffectConfigToken effectToken)
        {
            MyConfigToken t = (MyConfigToken)EffectToken;
            checkBoxInvert.Checked = t.InvertColor;
        }

        private void buttonOK_Click(object sender, EventArgs e)
        {
            FinishTokenUpdate();
            DialogResult = DialogResult.OK;
            this.Close();
        }

        private void checkBoxInvert_CheckedChanged(object sender, EventArgs e)
        {
            FinishTokenUpdate(); // to see the effect in the background
        }
    }
}